Bug 1147554 - webkitgtk and webkitgtk3 contain non-distributable images
Summary: webkitgtk and webkitgtk3 contain non-distributable images
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk3 (Show other bugs)
(Show other bugs)
Version: 20
Hardware: x86_64 Linux
unspecified
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2014-09-29 13:42 UTC by Michael Catanzaro
Modified: 2014-10-08 06:18 UTC (History)
4 users (show)

Fixed In Version: webkitgtk-2.2.8-1.fc20, webkitgtk3-2.2.8-1.fc20, webkitgtk-2.4.6-1.fc21, webkitgtk3-2.4.6-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-08 06:18:35 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Catanzaro 2014-09-29 13:42:00 UTC
Description of problem: See Bug #1140295. The same images are present in the separate webkitgtk and webkitgtk3 packages in F20, F21, and rawhide. F19 is unaffected.

Upstream is planning to fix this at least for 2.4; I'll ask for a fix for 2.2 as well if that doesn't come.

Comment 1 Tomas Popela 2014-09-29 13:53:59 UTC
For F21 and rawhide it should be fixed with the 2.4.6 release (building in koji right now).

We will wait if upstream releases new 2.2.x tarball, otherwise will will fix it ourselves.

Comment 2 Michael Catanzaro 2014-09-29 16:30:36 UTC
I've confirmed they're planning to do a 2.2.8 tarball with free images. Yay!

Comment 3 Tomas Popela 2014-10-01 15:27:46 UTC
Fixed in:

webkitgtk-2.2.8-1.fc20
webkitgtk3-2.2.8-1.fc20
webkitgtk-2.4.6-1.fc21
webkitgtk3-2.4.6-1.fc21

I will close this bug when they hit the stable.

Comment 4 Tomas Popela 2014-10-08 06:18:35 UTC
Closing, as all the packages are in the stable.


Note You need to log in before you can comment on or make changes to this bug.